# Contributing
Thanks for contributing to this repository. Please read the following guidelines before you submit a pull request.

## Pull request and issues
If your commit does not change something fundamental, it is fine to create a pull request directly.
If you want to make a larger change or are unsure of the implication(s) of your change, please first create an issue, so that we can discuss it.

In all cases, please give the change a short and concise description.

## Commit messages
Every commit message must be meaningful.
Please do not write meaningless words or sentences like "fix", but be short and concise as in "fix divide by zero where altitude is zero in CalculateDistance()".
If the added code requires greater explanation, please document it in the code.

## Tests
If you introduce some new function or make a behavioural change, please create tests for the change.
However, it is better to write no tests than make nonsensical ones that convey a false sense of confidence.

## Code quality
Please check what other code in this repository looks like and adhere to language specific guidelines.
The code should be clear and any "magic" must be appropriately documented. Please rethink your work twice, as clear, safe and performant code will make you feel better.

## Security
Please try to ensure that your code has no vulnerabilities and document every possible security impact.

## Documentation
If reasonable, please document the changes either in the code itself or separately.
